Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Text
Imports System.Windows.Forms
Imports Syncfusion.Windows.Forms.Grid
Imports System.Collections.Specialized
Imports Syncfusion.Windows.Forms
Imports System.Collections
Imports System.Threading
Imports System.Diagnostics


Namespace Grid_Control
	Partial Public Class Form1
		Inherits Form
		Public Sub New()
			InitializeComponent()
		End Sub
		Private Sub Form1_Load(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Load
			Me.gridControl1.RowCount = 364
			Me.gridControl1.ColCount = 10
			Me.gridControl1.ColStyles(10).CellType = "FormulaCell"
			Me.gridControl1.ColStyles(10).Enabled = False
			For i As Integer = 1 To 25
				Me.gridControl1(i,10).Text="=Sum(A" & i & ":I" & i & ")"
			Next i
			Dim r As New Random()
			For i As Integer = 1 To 25
				For j As Integer = 1 To 9
					Me.gridControl1(i,j).CellValue = r.Next(1, 99)
				Next j
			Next i
		End Sub

		Private Sub button1_Click(ByVal sender As Object, ByVal e As EventArgs) Handles button1.Click
			Dim gecc As New Syncfusion.GridExcelConverter.GridExcelConverterControl()

			Dim saveFileDialog As New SaveFileDialog()
			saveFileDialog.Filter = "Files(*.xls)|*.xls"
			saveFileDialog.DefaultExt = ".xls"

			' If you dont want to Export the Formula please try to use below event
			'gecc.QueryImportExportCellInfo += new Syncfusion.GridExcelConverter.GridImportExportCellInfoEventHandler(gecc_QueryImportExportCellInfo);

			If saveFileDialog.ShowDialog() = System.Windows.Forms.DialogResult.OK Then
				gecc.GridToExcel(Me.gridControl1.Model, saveFileDialog.FileName)

				If MessageBox.Show("Do you wish to open the xls file now?", "Export to Excel", MessageBoxButtons.YesNo, MessageBoxIcon.Question) = System.Windows.Forms.DialogResult.Yes Then
					Dim proc As New Process()
					proc.StartInfo.FileName = saveFileDialog.FileName
					proc.Start()
				End If
			End If
		End Sub
	End Class
End Namespace
